Pádraig Brady wrote:
> > FAIL: tests/misc/stty-row-col
> > =============================
> 
> Any of the commands like `stty rows 40 columns 80` are being silently ignored.
> FWIW on the Solaris 10 system I've access to, this test passes.
> I'd need access to investigate.

I'm sorry, the license terms from Oracle
https://www.oracle.com/downloads/licenses/solaris-cluster-express-license.html
("You may not: ... make the Programs available in any manner to any third party
...")
don't given me permission to give you or anyone else access to my VM. It's
proprietary software. I can only share the instructions to build a VM.

> > FAIL: tests/install/basic-1
> > ===========================
> > FAIL: tests/mv/diag
> > ===================
> 
> These two are the same issue I think ...
> 
> diff --git a/src/system.h b/src/system.h
> index c24cb4dc3..d2c473a59 100644
> --- a/src/system.h
> +++ b/src/system.h
> @@ -140,9 +140,12 @@ target_directory_operand (char const *file)
>     bool is_a_dir = false;
>     struct stat st;
> 
> -  /* On old systems like Solaris 10, check with stat first
> -     lest we try to open a fifo for example and hang.  */
> -  if (!O_DIRECTORY && stat (file, &st) == 0)
> +  /* On old systems without O_DIRECTORY, like Solaris 10,
> +     check with stat first lest we try to open a fifo for example and hang.
> +     Also check on systems with O_PATHSEARCH == O_SEARCH, like Solaris 11,
> +     where open was seen to return EPERM for non directories.  */
> +  if (!O_DIRECTORY || (O_PATHSEARCH == O_SEARCH)
> +      && stat (file, &st) == 0)

Isn't there a parenthesizing mistake here? I would write
     if ((!O_DIRECTORY || (O_PATHSEARCH == O_SEARCH))
         && stat (file, &st) == 0)

This patch does not apply cleanly to the snapshot source. I tried
a similar patch, but it did not help.

> > FAIL: tests/tail-2/pipe-f
> > =========================
> 
> The following might help here:
> 
> diff --git a/src/tail.c b/src/tail.c
> index f1b741783..a28fa61da 100644
> --- a/src/tail.c
> +++ b/src/tail.c
> @@ -356,7 +356,7 @@ check_output_alive (void)
>        event immediately) or if using inotify (which relies on 'poll'
>        anyway).  Otherwise, use 'select' as it's more portable;
>        'poll' doesn't work for this application on macOS.  */
> -#if defined _AIX || HAVE_INOTIFY
> +#if defined _AIX || defined __sun || HAVE_INOTIFY
>     struct pollfd pfd;
>     pfd.fd = STDOUT_FILENO;
>     pfd.events = POLLERR;

I tried this change, together with an analogous change in line 58
(otherwise it would not compile). It does not fix the test failure;
new test-suite.log is attached.

Bruno
=========================================================
   GNU coreutils 9.0.193-54bec: ./tests/test-suite.log
=========================================================

# TOTAL: 1
# PASS:  0
# SKIP:  0
# XFAIL: 0
# FAIL:  1
# XPASS: 0
# ERROR: 0

.. contents:: :depth: 2

FAIL: tests/tail-2/pipe-f
=========================

++ initial_cwd_=/export/home/bruno/coreutils-9.0.193-54bec/build-64
+++ testdir_prefix_
+++ printf gt
++ pfx_=gt
+++ mktempd_ /export/home/bruno/coreutils-9.0.193-54bec/build-64 gt-pipe-f.sh.XXXX
+++ case $# in
+++ destdir_=/export/home/bruno/coreutils-9.0.193-54bec/build-64
+++ template_=gt-pipe-f.sh.XXXX
+++ MAX_TRIES_=4
+++ case $destdir_ in
+++ destdir_slash_=/export/home/bruno/coreutils-9.0.193-54bec/build-64/
+++ case $template_ in
++++ unset TMPDIR
+++ d=/export/home/bruno/coreutils-9.0.193-54bec/build-64/gt-pipe-f.sh.BSFx
+++ case $d in
+++ :
+++ test -d /export/home/bruno/coreutils-9.0.193-54bec/build-64/gt-pipe-f.sh.BSFx
++++ ls -dgo /export/home/bruno/coreutils-9.0.193-54bec/build-64/gt-pipe-f.sh.BSFx
+++ perms='drwx------ 2 2 Apr 11 05:40 /export/home/bruno/coreutils-9.0.193-54bec/build-64/gt-pipe-f.sh.BSFx'
+++ case $perms in
+++ :
+++ echo /export/home/bruno/coreutils-9.0.193-54bec/build-64/gt-pipe-f.sh.BSFx
+++ return
++ test_dir_=/export/home/bruno/coreutils-9.0.193-54bec/build-64/gt-pipe-f.sh.BSFx
++ cd /export/home/bruno/coreutils-9.0.193-54bec/build-64/gt-pipe-f.sh.BSFx
++ case $srcdir in
++ srcdir=../..
++ builddir=..
++ export srcdir builddir
++ gl_init_sh_nl_='
'
++ IFS=' 	
'
++ for sig_ in 1 2 3 13 15
+++ expr 1 + 128
++ eval 'trap '\''Exit 129'\'' 1'
+++ trap 'Exit 129' 1
++ for sig_ in 1 2 3 13 15
+++ expr 2 + 128
++ eval 'trap '\''Exit 130'\'' 2'
+++ trap 'Exit 130' 2
++ for sig_ in 1 2 3 13 15
+++ expr 3 + 128
++ eval 'trap '\''Exit 131'\'' 3'
+++ trap 'Exit 131' 3
++ for sig_ in 1 2 3 13 15
+++ expr 13 + 128
++ eval 'trap '\''Exit 141'\'' 13'
+++ trap 'Exit 141' 13
++ for sig_ in 1 2 3 13 15
+++ expr 15 + 128
++ eval 'trap '\''Exit 143'\'' 15'
+++ trap 'Exit 143' 15
++ saved_IFS=' 	
'
++ IFS=:
++ new_PATH=
++ sep_=
++ for dir in $PATH
++ case "$dir" in
++ test -d /export/home/bruno/coreutils-9.0.193-54bec/build-64/src/.
++ new_PATH=/export/home/bruno/coreutils-9.0.193-54bec/build-64/src
++ sep_=:
++ for dir in $PATH
++ case "$dir" in
++ test -d /usr/xpg4/bin/.
++ new_PATH=/export/home/bruno/coreutils-9.0.193-54bec/build-64/src:/usr/xpg4/bin
++ sep_=:
++ for dir in $PATH
++ case "$dir" in
++ test -d /export/home/bruno/prefix64/bin/.
++ new_PATH=/export/home/bruno/coreutils-9.0.193-54bec/build-64/src:/usr/xpg4/bin:/export/home/bruno/prefix64/bin
++ sep_=:
++ for dir in $PATH
++ case "$dir" in
++ test -d /usr/bin/.
++ new_PATH=/export/home/bruno/coreutils-9.0.193-54bec/build-64/src:/usr/xpg4/bin:/export/home/bruno/prefix64/bin:/usr/bin
++ sep_=:
++ for dir in $PATH
++ case "$dir" in
++ test -d /usr/sbin/.
++ new_PATH=/export/home/bruno/coreutils-9.0.193-54bec/build-64/src:/usr/xpg4/bin:/export/home/bruno/prefix64/bin:/usr/bin:/usr/sbin
++ sep_=:
++ for dir in $PATH
++ case "$dir" in
++ test -d /sbin/.
++ new_PATH=/export/home/bruno/coreutils-9.0.193-54bec/build-64/src:/usr/xpg4/bin:/export/home/bruno/prefix64/bin:/usr/bin:/usr/sbin:/sbin
++ sep_=:
++ IFS=' 	
'
++ PATH=/export/home/bruno/coreutils-9.0.193-54bec/build-64/src:/usr/xpg4/bin:/export/home/bruno/prefix64/bin:/usr/bin:/usr/sbin:/sbin
++ export PATH
++ trap remove_tmp_ 0
+ path_prepend_ ./src
+ test 1 '!=' 0
+ path_dir_=./src
+ case $path_dir_ in
+ abs_path_dir_=/export/home/bruno/coreutils-9.0.193-54bec/build-64/./src
+ case $abs_path_dir_ in
+ PATH=/export/home/bruno/coreutils-9.0.193-54bec/build-64/./src:/export/home/bruno/coreutils-9.0.193-54bec/build-64/src:/usr/xpg4/bin:/export/home/bruno/prefix64/bin:/usr/bin:/usr/sbin:/sbin
+ create_exe_shims_ /export/home/bruno/coreutils-9.0.193-54bec/build-64/./src
+ case $EXEEXT in
+ return 0
+ shift
+ test 0 '!=' 0
+ export PATH
+ print_ver_ tail test
+ require_built_ tail test
+ skip_=no
+ for i in "$@"
+ case " $built_programs " in
+ for i in "$@"
+ case " $built_programs " in
+ test no = yes
+ test yes = yes
+ local i
+ for i in $*
+ env tail --version
tail (GNU coreutils) 9.0.193-54bec
Copyright (C) 2022 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <https://gnu.org/licenses/gpl.html>.
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.

Written by Paul Rubin, David MacKenzie, Ian Lance Taylor,
and Jim Meyering.
+ for i in $*
+ env test --version
+ trap_sigpipe_or_skip_
+ grep -qF 'Broken pipe'
+ fastpoll='-s.1 --max-unchanged-stats=1'
+ for mode in '' '---disable-inotify'
+ echo oo
+ echo foo
+ timeout 10 tail -f -s.1 --max-unchanged-stats=1 -c3
+ compare exp out
+ compare_dev_null_ exp out
+ test 2 = 2
+ test xexp = x/dev/null
+ test xout = x/dev/null
+ return 2
+ case $? in
+ compare_ exp out
+ diff -u exp out
+ cat
+ echo bar
+ returns_ 1 timeout 10 tail -f -s.1 --max-unchanged-stats=1 -c3 - missing
tail: cannot open 'missing' for reading: No such file or directory
tail: no files remaining
+ compare exp out
+ compare_dev_null_ exp out
+ test 2 = 2
+ test xexp = x/dev/null
+ test xout = x/dev/null
+ return 2
+ case $? in
+ compare_ exp out
+ diff -u exp out
+ for disposition in '' '-'
+ trap '' PIPE
+ sed 2q
+ returns_ 124 timeout 10 tail -n2 -f -s.1 --max-unchanged-stats=1 out
+ touch timed_out
+ test -e timed_out
+ fail=1
+ compare exp out2
+ compare_dev_null_ exp out2
+ test 2 = 2
+ test xexp = x/dev/null
+ test xout2 = x/dev/null
+ return 2
+ case $? in
+ compare_ exp out2
+ diff -u exp out2
+ rm -f timed_out
+ for disposition in '' '-'
+ trap - PIPE
+ sed 2q
+ returns_ 124 timeout 10 tail -n2 -f -s.1 --max-unchanged-stats=1 out
+ touch timed_out
+ test -e timed_out
+ fail=1
+ compare exp out2
+ compare_dev_null_ exp out2
+ test 2 = 2
+ test xexp = x/dev/null
+ test xout2 = x/dev/null
+ return 2
+ case $? in
+ compare_ exp out2
+ diff -u exp out2
+ rm -f timed_out
+ env test -w /dev/stdout
+ env test '!' -w /dev/stdout
+ for mode in '' '---disable-inotify'
+ echo oo
+ echo foo
+ timeout 10 tail -f ---disable-inotify -s.1 --max-unchanged-stats=1 -c3
+ compare exp out
+ compare_dev_null_ exp out
+ test 2 = 2
+ test xexp = x/dev/null
+ test xout = x/dev/null
+ return 2
+ case $? in
+ compare_ exp out
+ diff -u exp out
+ cat
+ echo bar
+ returns_ 1 timeout 10 tail -f ---disable-inotify -s.1 --max-unchanged-stats=1 -c3 - missing
tail: cannot open 'missing' for reading: No such file or directory
tail: no files remaining
+ compare exp out
+ compare_dev_null_ exp out
+ test 2 = 2
+ test xexp = x/dev/null
+ test xout = x/dev/null
+ return 2
+ case $? in
+ compare_ exp out
+ diff -u exp out
+ for disposition in '' '-'
+ trap '' PIPE
+ sed 2q
+ returns_ 124 timeout 10 tail -n2 -f ---disable-inotify -s.1 --max-unchanged-stats=1 out
+ touch timed_out
+ test -e timed_out
+ fail=1
+ compare exp out2
+ compare_dev_null_ exp out2
+ test 2 = 2
+ test xexp = x/dev/null
+ test xout2 = x/dev/null
+ return 2
+ case $? in
+ compare_ exp out2
+ diff -u exp out2
+ rm -f timed_out
+ for disposition in '' '-'
+ trap - PIPE
+ sed 2q
+ returns_ 124 timeout 10 tail -n2 -f ---disable-inotify -s.1 --max-unchanged-stats=1 out
+ touch timed_out
+ test -e timed_out
+ fail=1
+ compare exp out2
+ compare_dev_null_ exp out2
+ test 2 = 2
+ test xexp = x/dev/null
+ test xout2 = x/dev/null
+ return 2
+ case $? in
+ compare_ exp out2
+ diff -u exp out2
+ rm -f timed_out
+ env test -w /dev/stdout
+ env test '!' -w /dev/stdout
+ Exit 1
+ set +e
+ exit 1
+ exit 1
+ remove_tmp_
+ __st=1
+ cleanup_
+ :
+ test '' = yes
+ cd /export/home/bruno/coreutils-9.0.193-54bec/build-64
+ chmod -R u+rwx /export/home/bruno/coreutils-9.0.193-54bec/build-64/gt-pipe-f.sh.BSFx
+ rm -rf /export/home/bruno/coreutils-9.0.193-54bec/build-64/gt-pipe-f.sh.BSFx
+ exit 1
FAIL tests/tail-2/pipe-f.sh (exit status: 1)

Reply via email to